(use-package evil
  :ensure t
  :config
  (evil-mode 1)
  (defalias #'forward-evil-word #'forward-evil-symbol)
  (setq-default evil-symbol-word-search t)
  (use-package key-chord
  :ensure t
  :config
    (key-chord-mode 1)
    (key-chord-define evil-insert-state-map "jj" 'evil-normal-state))
  (use-package evil-commentary
  :ensure t
    :config
    (evil-commentary-mode))
(use-package evil-collection
:ensure t
:config (evil-collection-init)))

(menu-bar-mode -1)

(tool-bar-mode -1)

(scroll-bar-mode -1)

(global-linum-mode t)

(show-paren-mode 1)

(use-package rainbow-delimiters
    :ensure t
    :config
    (add-hook 'prog-mode-hook 'rainbow-delimiters-mode))

(use-package green-phosphor-theme 
:ensure t
:config 
(load-theme 'green-phosphor t))

(add-to-list 'default-frame-alist '(font . "IBM Plex Mono 10" ))
(set-face-attribute 'default t :font "IBM Plex Mono 10")

(use-package org-bullets
:ensure t
:config
(add-hook 'org-mode-hook (lambda () (org-bullets-mode))))

(setq org-startup-with-inline-images t)

(setq truncate-partial-width-windows nil)

(use-package which-key
:ensure t
:config
(which-key-mode))

(setq inhibit-startup-message t)

(defalias 'yes-or-no-p 'y-or-n-p)

(setq make-backup-files nil)
(setq auto-save-default nil)

(use-package emojify
  :hook (after-init . global-emojify-mode))

(setq org-src-fontify-natively t)
    (setq org-src-tab-acts-natively t)
  (use-package org-tree-slide
:ensure t
:custom (org-image-actual-width nil))

(use-package company
  :ensure t
  :config (add-hook 'after-init-hook 'global-company-mode))

(use-package flycheck
:ensure t
  :config
  (global-flycheck-mode))

(use-package sly 
:ensure t
:config (setq inferior-lisp-program "/usr/bin/sbcl"))

(use-package paredit
:ensure t
:config 
(add-hook 'emacs-lisp-mode-hook       #'enable-paredit-mode)
    (add-hook 'eval-expression-minibuffer-setup-hook #'enable-paredit-mode)
    (add-hook 'ielm-mode-hook             #'enable-paredit-mode)
    (add-hook 'lisp-mode-hook             #'enable-paredit-mode)
    (add-hook 'lisp-interaction-mode-hook #'enable-paredit-mode)
    (add-hook 'scheme-mode-hook           #'enable-paredit-mode)
(add-hook 'sly-mode-hook           #'enable-paredit-mode))

(add-to-list 'load-path "~/.emacs.d/packages/wat-mode/")
(require 'wat-mode)

(use-package magit :ensure t)
